package com.ruoyi.basicData.mapper;


import com.ruoyi.basicData.domain.FleetCarManage;
import com.ruoyi.orderPlan.domain.Ftmsorderbills;

import java.util.List;
import java.util.Map;

/**
 * 【车辆】Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public interface FleetCarManageMapper 
{
    /**
     * 查询【车辆】
     * 
     * @param id 【车辆】ID
     * @return 【车辆】
     */
    public FleetCarManage selectFleetCarManageById(Long id);

    /**
     * 查询【车辆】列表
     * 
     * @param fleetCarManage 【车辆】
     * @return 【车辆】集合
     */
    public List<FleetCarManage> selectFleetCarManageList(FleetCarManage fleetCarManage);

    public List<Map<String, Object>> selectFleetCarManageListMap(FleetCarManage fleetCarManage);

    /**
     * 新增【车辆】
     * 
     * @param fleetCarManage 【车辆】
     * @return 结果
     */
    public int insertFleetCarManage(FleetCarManage fleetCarManage);

    /**
     * 修改【车辆】
     * 
     * @param fleetCarManage 【车辆】
     * @return 结果
     */
    public int updateFleetCarManage(FleetCarManage fleetCarManage);

    /**
     * 删除【车辆】
     * 
     * @param id 【车辆】ID
     * @return 结果
     */
    public int deleteFleetCarManageById(Long id);

    /**
     * 批量删除【车辆】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFleetCarManageByIds(Long[] ids);

    /**
     *  下拉列表查询【车辆】列表id name
     * @param fleetCarManage    条件
     * @return  结果
     */
    public List<FleetCarManage> selectFleetCarManageIdNameList(FleetCarManage fleetCarManage);

    /**
     *  查询车辆数量
     * @param fleetCarManage    条件
     * @return  结果
     */
    public int selectFleetCarManageCount(FleetCarManage fleetCarManage);

    /**
     *  根据司机id更新车辆手机号、姓名
     * @param fleetCarManage    参数
     * @return  结果
     */
    public int updateFleetCarManageByDriverId(FleetCarManage fleetCarManage);

    /**
     *  查询可用车辆，若是车队，则查询符合车队的可用车辆
     * @param ftmsorderbills    参数
     * @return  结果
     */
    public int selectManageCount(Ftmsorderbills ftmsorderbills);

    /**
     *  检验车牌是否唯一
     * @param carNum
     * @return
     */
    public int checkCarNumUnique(String carNum);
}
